#############################################
# lochkarte.py
#
# Lochkartenleser. Es wird geprüft,
# ob das Lochmuster mit dem gespeicherten Muster
# übereinstimmt.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2015
# Kap. 10, Projekt 26
# 1. 11. 2014
#############################################
from RPi import GPIO
from time import sleep

GPIO.setmode(GPIO.BOARD)
GPIO.setup(3, GPIO.OUT)
GPIO.setup(5, GPIO.OUT)
GPIO.setup(7, GPIO.IN)
GPIO.setup(8, GPIO.IN)                  
GPIO.setup(10, GPIO.IN)
GPIO.setup(12, GPIO.IN)

while True:
    GPIO.output(3, 1)
    GPIO.output(5, 1)
    a0 = GPIO.input(7)
    a1 = GPIO.input(8)
    a2 = GPIO.input(10)
    a3 = GPIO.input(12)
     
    while (a0, a1, a2, a3) == (1, 1, 1, 1):
        # Warte bis Karte eingeschoben ist
        a0 = GPIO.input(7)
        a1 = GPIO.input(8)
        a2 = GPIO.input(10)
        a3 = GPIO.input(12)
        # Rote LED blinkt
        GPIO.output(3, 0)
        sleep(0.2)
        GPIO.output(3, 1)
        sleep(0.5)
    sleep(2)
    a0 = GPIO.input(8)                       
    a1 = GPIO.input(10)
    a2 = GPIO.input(12)
    a3 = GPIO.input(16)

    print(a0, a1, a2, a3)
    if (a0, a1, a2, a3) == (1, 1, 0, 0):
        GPIO.output(5, 0)
    else:
        GPIO.output(3, 0)
            
    while (a0, a1, a2, a3) != (1, 1, 1, 1):
        # Warte bis Karte herausgezogen ist
        a0 = GPIO.input(7)
        a1 = GPIO.input(8)
        a2 = GPIO.input(10)
        a3 = GPIO.input(12)    
        sleep(0.5)
    
