#############################################
# rechts_links.py
#
# Abwechselnd blinken die rechten und linken Spalten der
# 4x4-LED-Matrix
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2015
# Kap. 11, Aufgabe 2
# 1. 11. 2014
#############################################
from time import sleep
from RPi import GPIO

GPIO.setmode(GPIO.BOARD)
#Zeilen
GPIO.setup(8, GPIO.OUT)
GPIO.setup(10, GPIO.OUT)
GPIO.setup(11, GPIO.OUT)
GPIO.setup(12, GPIO.OUT)
#Spalten
GPIO.setup(19, GPIO.OUT)
GPIO.setup(16, GPIO.OUT)
GPIO.setup(15, GPIO.OUT)
GPIO.setup(13, GPIO.OUT)


# Alle Zeilen und Spalten positiv
GPIO.output(8, False)
GPIO.output(10, False)
GPIO.output(11, False)
GPIO.output(12, False)
GPIO.output(19, False)
GPIO.output(16, False)
GPIO.output(15, False)
GPIO.output(13, False)

while True:
    GPIO.output(19, True)
    GPIO.output(16, True)
    sleep(0.2)
    GPIO.output(19, False)
    GPIO.output(16, False)
    GPIO.output(15, True)
    GPIO.output(13, True)
    sleep(0.2)
    GPIO.output(15, False)
    GPIO.output(13, False)          
   
   
