#############################################
# test_ta07_A.py
#
# Auf einer LED Punktktrix (ta07)
# wird der Buchstabe A dargestellt.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2015
# Kap. 12, Projekt 34
# 1. 11. 2014
#############################################
import time 
from RPi import GPIO

#GPIO initialisieren
GPIO.setmode(GPIO.BOARD)
s = [3, 5, 7, 8, 10]
z = [11, 12, 13, 15, 16, 18, 19]
for pin in z + s:
    GPIO.setup(pin, GPIO.OUT)

# LEDs ausschalten
for pin in z:
    GPIO.output(pin, True)   
for pin in s:
    GPIO.output(pin, True)  

A = [[0, 0, 1, 0, 0],
     [0, 1, 0, 1, 0],
     [1, 0, 0, 0, 1],
     [1, 1, 1, 1, 1],
     [1, 0, 0, 0, 1],
     [1, 0, 0, 0, 1],
     [1, 0, 0, 0, 1]]
     
while True:
  for zeile in range(7):
      GPIO.output(z[zeile], 0)
      for spalte in range(5):
         GPIO.output(s[spalte], A[zeile][spalte])
      time.sleep(0.001)
      GPIO.output(z[zeile], 1)

