#! /usr/bin/python3.2
#---------------------------------------------
# menuevorschlag.pyw
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2015
# Kapitel 16, Projekt 48
# 1.11.2014
#---------------------------------------------
from tkinter import *
from random import choice

VOR = ['Grüner Salat', 'Frühlingsrolle', 'Brühe']
HAUPT = ['Hähnchen mit Pommes', 'Döner']
NACH = ['Eis', 'Vanillepudding']

def vorschlagen():
    text = ''
    if vorspeise.get() == 1:
        text += choice(VOR)+ '\n'
    if hauptgericht.get() ==1:
        text += choice(HAUPT)+ '\n'
    if nachspeise.get() ==1:
        text += choice(NACH)
    label.config(text=text)
    
fenster = Tk()
# Kontrollvariablen
vorspeise = IntVar()
hauptgericht = IntVar()
nachspeise = IntVar()

# Widgets
label = Label(master=fenster,
              width=30, height=3,
              font=('Arial',12),
              bg='white')

cb1 = Checkbutton (master=fenster,
                   variable=vorspeise,
                   offvalue=0, onvalue=1,
                   text='Vorspeise')
cb2 = Checkbutton (master=fenster,
                   variable=hauptgericht,
                   offvalue=0, onvalue=1,
                   text='Hauptgericht')
cb3 = Checkbutton (master=fenster,
                   variable=nachspeise,
                   offvalue=0, onvalue=1,
                   text='Nachspeise')
button=Button(master=fenster,
              command=vorschlagen,
              text='Menüvorschlag')

# Layout
label.pack()
cb1.pack(anchor=W)
cb2.pack(anchor=W)
cb3.pack(anchor=W)
button.pack()

fenster.mainloop()
