#!/usr/bin/python3_root
#----------------------------------------------------------------
# Dateiname:  schalter.py 
# Ein 434-MHz-Semder ist angeschlossen. Mit pylight-send werden
# zwei Funksteckdosen ein- und ausgeschaltet
# Michael Weigend: Raspberry Pi für Kids
# mitp 2015
# Kapitel 18, Projekt 57
# 2.10.2014
#----------------------------------------------------------------
import cgi, cgitb, os

KOMMANDO = 'sudo pilight-send -p elro_he -s %i -u %i %s'

HTML='''Content-type: text/html; charset=utf-8

<html >
<body>
 <h1> Mein Zimmer</h1>
 <form action="http://192.168.178.40:8080/cgi-bin/schalter.cgi"
       method="GET">
   <input type="checkbox" name="lampe" value="an" %s>
   Schreibtischlampe
   <input type="checkbox" name="ventilator" value="an" %s>
   Ventilator
   <input type="submit" value="Schalten"/>
 </form>
</body>
</html>'''

cgitb.enable()
form = cgi.FieldStorage()

lampe = form.getvalue('lampe','aus')
ventilator = form.getvalue('ventilator','aus')
if lampe =='an':
   os.system(KOMMANDO %(1, 8, '-t'))
   checked_lampe = 'checked'
else:
   os.system(KOMMANDO %(1, 8, '-f'))
   checked_lampe = ''
if ventilator =='an':
   os.system(KOMMANDO %(1, 4, '-t'))
   checked_ventilator = 'checked'
else:
   os.system(KOMMANDO %(1, 4, '-f'))
   checked_ventilator = ''

print(HTML % (checked_lampe, checked_ventilator))
